<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for JP_RentacarOptionalElements StructType
 * @subpackage Structs
 */
class JP_RentacarOptionalElements extends AbstractStructBase
{
    /**
     * The CarSupplements
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \ArrayType\ArrayOfJP_CarSupplement
     */
    public $CarSupplements;
    /**
     * The Comments
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \ArrayType\ArrayOfJP_Comment
     */
    public $Comments;
    /**
     * The Documents
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \ArrayType\ArrayOfJP_ExternalDocument
     */
    public $Documents;
    /**
     * Constructor method for JP_RentacarOptionalElements
     * @uses JP_RentacarOptionalElements::setCarSupplements()
     * @uses JP_RentacarOptionalElements::setComments()
     * @uses JP_RentacarOptionalElements::setDocuments()
     * @param \ArrayType\ArrayOfJP_CarSupplement $carSupplements
     * @param \ArrayType\ArrayOfJP_Comment $comments
     * @param \ArrayType\ArrayOfJP_ExternalDocument $documents
     */
    public function __construct(\ArrayType\ArrayOfJP_CarSupplement $carSupplements = null, \ArrayType\ArrayOfJP_Comment $comments = null, \ArrayType\ArrayOfJP_ExternalDocument $documents = null)
    {
        $this
            ->setCarSupplements($carSupplements)
            ->setComments($comments)
            ->setDocuments($documents);
    }
    /**
     * Get CarSupplements value
     * @return \ArrayType\ArrayOfJP_CarSupplement|null
     */
    public function getCarSupplements()
    {
        return $this->CarSupplements;
    }
    /**
     * Set CarSupplements value
     * @param \ArrayType\ArrayOfJP_CarSupplement $carSupplements
     * @return \StructType\JP_RentacarOptionalElements
     */
    public function setCarSupplements(\ArrayType\ArrayOfJP_CarSupplement $carSupplements = null)
    {
        $this->CarSupplements = $carSupplements;
        return $this;
    }
    /**
     * Get Comments value
     * @return \ArrayType\ArrayOfJP_Comment|null
     */
    public function getComments()
    {
        return $this->Comments;
    }
    /**
     * Set Comments value
     * @param \ArrayType\ArrayOfJP_Comment $comments
     * @return \StructType\JP_RentacarOptionalElements
     */
    public function setComments(\ArrayType\ArrayOfJP_Comment $comments = null)
    {
        $this->Comments = $comments;
        return $this;
    }
    /**
     * Get Documents value
     * @return \ArrayType\ArrayOfJP_ExternalDocument|null
     */
    public function getDocuments()
    {
        return $this->Documents;
    }
    /**
     * Set Documents value
     * @param \ArrayType\ArrayOfJP_ExternalDocument $documents
     * @return \StructType\JP_RentacarOptionalElements
     */
    public function setDocuments(\ArrayType\ArrayOfJP_ExternalDocument $documents = null)
    {
        $this->Documents = $documents;
        return $this;
    }
}
